### Enumeration

# Clutter ScrollDirection

#### Declaration

    enum Clutter.ScrollDirection

#### Description [src]

Direction of a pointer scroll event.

The `CLUTTER_SCROLL_SMOOTH` value implies that the `ClutterScrollEvent` has precise scrolling delta information.

#### Members

`CLUTTER_SCROLL_UP`

  Scroll up.

  - Value: `0`
  - Available since: 14
`CLUTTER_SCROLL_DOWN`

  Scroll down.

  - Value: `1`
  - Available since: 14
`CLUTTER_SCROLL_LEFT`

  Scroll left.

  - Value: `2`
  - Available since: 14
`CLUTTER_SCROLL_RIGHT`

  Scroll right.

  - Value: `3`
  - Available since: 14
`CLUTTER_SCROLL_SMOOTH`

  Precise scrolling delta (available in 1.10).

  - Value: `4`
  - Available since: 14